.progress {
  height: 10px;
  --progress-background: var(--ion-course-progress-color);
  border-radius: 5px;
}

ion-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  height: 50%;
  transform: translate(-50%, -50%);
  width: 30px;
  height: 30px;
}

.column {
  padding: 0px;
  font-size: 22px;
  color: var(--ion-font-color);
  opacity: 1;
  display: flex !important;

  align-content: center !important;
  align-items: center !important;
}

.column-right {
  padding: 0px;
  text-align: right;
  font-size: 22px;
  color: var(--ion-font-color);
  opacity: 1;
}

.ion-text-left {
  color: var(--ion-segment-color);
  font-size: 18px;
  font-weight: 500;
  opacity: 1;
  margin-left: 20px;
  background-color: transparent;
}

.currentTopic {
  margin-left: 20px;
  color: var(--ion-segment-color);
  font-size: 23px;
  opacity: 1;
  font-weight: 400;
}

h1 {
  text-align: left;
  font-size: 38px;

  letter-spacing: 0;
  color: var(--color-heading);
  opacity: 1;
}

.text {
  color: var(--ion-font-color);
  font-size: 26px;
  text-align: left;
  opacity: 1;
}

ion-card {
  border-radius: 15px;
}

.completeButton {
  --background: var(--ion-segment-checked-color);
  font-size: 16px;

  --background-color: var(--ion-color-medium-contrast);
  --border-radius: 16px;

  opacity: 1;
}

.startButton {
  font-size: 16px;

  --border-radius: 18px;
}

ion-fab-button {
  --background: var(--ion-button-bgcolor);
}

.cardImg {
  --background: url('../../assets/cardImg.svg');
  height: 175px;
  background-size: cover;

  background-repeat: no-repeat;
}

ion-segment-button {
  --border-radius: 28px;
  --border-color: var(--ion-color-medium-contrast);
  --border-style: solid;
  --border-width: 2px;
  --background-checked: var(--ion-color-medium-contrast);
  --color-checked: var(--ion-segment-checked-color);
  --color-hover: var(--ion-color-medium-contrast);
  --indicator-color: transparent !important;
  --indicator-color-checked: transparent !important;
  --color: var(--ion-segment-color);
  margin-left: 20px;
}

::ng-deep .mat-form-field-label {
  margin-left: 20px !important;
  overflow: visible !important;
  z-index: 1 !important;
  margin-top: -7px !important;
  background: var(--ion-color-dark-contrast) !important;
  width: auto !important;
  padding-left: 10px !important;
  padding-right: 10px !important;
}

::ng-deep .mat-form-field-label-wrapper {
  overflow: visible !important;
}

::ng-deep .mat-form-field-underline {
  display: none;
}

.select {
  width: 25%;
  border: 2px var(--ion-mat-field-color) solid;
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
}
